#include <vdr/plugin.h>
#include <string.h>
#include "setup.h"

const char *configFile = "lcdcontrol.conf";

cLcdControlSetup LcdControlSetup;

cLcdControlSetup::cLcdControlSetup(void)
{
  strcpy(serialPort, "/dev/ttySX");
  autoOn = 0;
  configDir = "";
  cmdAspectRatio16by9 = "kc 01 2\n";
  cmdAspectRatioAuto = "kc 01 6\n";
  cmdPoweron = "ka 01 1\n";
}

bool cLcdControlSetup::SetupParse(const char *Name, const char *Value){

	if (!strcasecmp(Name, "serialPort"))      strcpy(serialPort,Value);
	else if (!strcasecmp(Name, "autoOn"))     autoOn = atoi(Value);
    else
      return false;
    return true;
}

void cLcdControlSetup::ParseConfigFile(){
//	
//	FILE *quelle;
//	char zeile[255];
//    char datei[255] = "" ;
//    char *alias ;
//    char *cmd ;
//    sprintf (datei, "%s/%s", LcdControlSetup.configDir, configFile);
//    quelle = fopen(datei, "r");
//    while ( fgets(zeile, 255, quelle)) {
//    	alias = strtok(zeile, "=");
//    	cmd = strtok(NULL, "=");
//    	if ( strcmp(alias,"asmode16by9") == 0) strcpy(cmdAspectRatio16by9,cmd);
//    	if ( strcmp(alias,"asmodeauto") == 0) strcpy(cmdAspectRatioAuto,cmd);
//    	if ( strcmp(alias,"poweron" ) == 0) strcpy(cmdPoweron,cmd);			
//	}
//	fclose(quelle);
}


